Bullet Collision Detection & Physics Library: btSoftColliders::CollideSDF_RDF Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftColliders::CollideSDF_RDF Struct Reference

`#include <btSoftBodyInternals.h>`

Inheritance diagram for btSoftColliders::CollideSDF_RDF:
[legend]
Collaboration diagram for btSoftColliders::CollideSDF_RDF:
[legend]

## Public Member Functions
void | Process (const btDbvtNode *leaf)
void | DoNode (btSoftBody::Face &f) const
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Public Attributes
btSoftBody * | psb
const btCollisionObjectWrapper * | m_colObj1Wrap
btRigidBody * | m_rigidBody
btScalar | dynmargin
btScalar | stamargin

## Detailed Description

Definition at line 1767 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ DoNode()

void btSoftColliders::CollideSDF_RDF::DoNode | ( | btSoftBody::Face & | f | ) | const
| inline

Definition at line 1774 of file btSoftBodyInternals.h.

## ◆ Process()

void btSoftColliders::CollideSDF_RDF::Process | ( | const btDbvtNode * | leaf | ) |
| inline

Definition at line 1769 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ dynmargin

btScalar btSoftColliders::CollideSDF_RDF::dynmargin

Definition at line 1864 of file btSoftBodyInternals.h.

## ◆ m_colObj1Wrap

const btCollisionObjectWrapper* btSoftColliders::CollideSDF_RDF::m_colObj1Wrap

Definition at line 1862 of file btSoftBodyInternals.h.

## ◆ m_rigidBody

btRigidBody* btSoftColliders::CollideSDF_RDF::m_rigidBody

Definition at line 1863 of file btSoftBodyInternals.h.

## ◆ psb

btSoftBody* btSoftColliders::CollideSDF_RDF::psb

Definition at line 1861 of file btSoftBodyInternals.h.

## ◆ stamargin

btScalar btSoftColliders::CollideSDF_RDF::stamargin

Definition at line 1865 of file btSoftBodyInternals.h.

The documentation for this struct was generated from the following file:

- btSoftBodyInternals.h